VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
VisimBox.Renderer.ILight Interface Reference
Inheritance diagram for VisimBox.Renderer.ILight:

List of all members.

## Public Member Functions
ILight | GetCopy ()
void | Activate (int light)
| Activates light on specified HW position.
bool | IsActive (IGeometry area)
| Returns true, if light is active in the specified area.
bool | IsActive (Vector3 pos)
| Returns true if light is active on specified position.
## Properties
string | Name`[get, set]`
| name of the light in manager
ColorByte | Ambient`[get, set]`
| Ambient light.
ColorByte | Diffuse`[get, set]`
| Difuse light color.
ColorByte | Specular`[get, set]`
| Specular light color.
LightTypes | LightType`[get, set]`
| type of the light
Vector3 | Position`[get, set]`
| Position of the light, used for positional and spot light and for radius calculation.
Vector3 | Direction`[get, set]`
| Normalized direction of the light for spot and directional.
float | SpotAngle`[get, set]`
| Angle of the cone light for spot lighting (in degrees!!!)
float | SpotIntensity`[get, set]`
| Spot light intensity distribution. Must be 0 - 128. 0 is uniformly distributed light, 128 focused beam.
Vector3 | Attenuation`[get, set]`
| Light attenuation (X = constant, Y = linear, Z = quadratic), defines how the light weakens with distance. Default value is (1,0,0) meaning no attenuation (note - using attenuation induces slowdowns)
float | Radius`[get, set]`
| SQUARED radius of the light where it's active (0 everywhere). Used if active area is null.
IGeometry | ActiveArea`[get, set]`
| Area where the light is active (can be null, then it's active everywhere)

## Member Function Documentation

void VisimBox.Renderer.ILight.Activate | ( | int | light | ) |

Activates light on specified HW position.

Parameters:

  light | light index

Implemented in VisimBox.Renderer.Light, and VisimRenderGL.GLLight.

ILight VisimBox.Renderer.ILight.GetCopy | ( |  | ) |

Implemented in VisimBox.Renderer.Light, and VisimRenderGL.GLLight.

bool VisimBox.Renderer.ILight.IsActive | ( | IGeometry | area | ) |

Returns true, if light is active in the specified area.

Parameters:

  area | Geometry area (use bounding boxes!)

Returns:
  True if light is active in the area (and should be set for all objects there)

Implemented in VisimBox.Renderer.Light.

bool VisimBox.Renderer.ILight.IsActive | ( | Vector3 | pos | ) |

Returns true if light is active on specified position.

Parameters:

  pos | Position

Returns:
  True if light is active in the area (and should be set for all objects there)

Implemented in VisimBox.Renderer.Light.

## Property Documentation

IGeometry VisimBox.Renderer.ILight.ActiveArea`[get, set]`

Area where the light is active (can be null, then it's active everywhere)

Implemented in VisimBox.Renderer.Light.

ColorByte VisimBox.Renderer.ILight.Ambient`[get, set]`

Ambient light.

Implemented in VisimBox.Renderer.Light.

Vector3 VisimBox.Renderer.ILight.Attenuation`[get, set]`

Light attenuation (X = constant, Y = linear, Z = quadratic), defines how the light weakens with distance. Default value is (1,0,0) meaning no attenuation (note - using attenuation induces slowdowns)

Implemented in VisimBox.Renderer.Light.

ColorByte VisimBox.Renderer.ILight.Diffuse`[get, set]`

Difuse light color.

Implemented in VisimBox.Renderer.Light.

Vector3 VisimBox.Renderer.ILight.Direction`[get, set]`

Normalized direction of the light for spot and directional.

Implemented in VisimBox.Renderer.Light.

LightTypes VisimBox.Renderer.ILight.LightType`[get, set]`

type of the light

Implemented in VisimBox.Renderer.Light.

string VisimBox.Renderer.ILight.Name`[get, set]`

name of the light in manager

Implemented in VisimBox.Renderer.Light.

Vector3 VisimBox.Renderer.ILight.Position`[get, set]`

Position of the light, used for positional and spot light and for radius calculation.

Implemented in VisimBox.Renderer.Light.

float VisimBox.Renderer.ILight.Radius`[get, set]`

SQUARED radius of the light where it's active (0 everywhere). Used if active area is null.

Implemented in VisimBox.Renderer.Light.

ColorByte VisimBox.Renderer.ILight.Specular`[get, set]`

Specular light color.

Implemented in VisimBox.Renderer.Light.

float VisimBox.Renderer.ILight.SpotAngle`[get, set]`

Angle of the cone light for spot lighting (in degrees!!!)

Implemented in VisimBox.Renderer.Light.

float VisimBox.Renderer.ILight.SpotIntensity`[get, set]`

Spot light intensity distribution. Must be 0 - 128. 0 is uniformly distributed light, 128 focused beam.

Implemented in VisimBox.Renderer.Light.

The documentation for this interface was generated from the following file:

- Lights.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events